タグ付けされた質問 「dpkg」

ソフトウェアのインストールと削除で低レベルのタスクを実行するDebianパッケージ管理ユーティリティ。



6
パッケージからインストール済みファイルのリストを取得するにはどうすればよいですか?
パッケージマネージャーを使用してUbuntuにインストールしたときに、インストールしたアプリケーションの場所を知りたいです。 RabbitMQをインストールして実行locate rabbitmqすると、次の結果が得られました。 /home/anupamg/.m2/repository/com/rabbitmq /home/anupamg/.m2/repository/com/rabbitmq/amqp-client /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2 /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/_maven.repositories /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/amqp-client-1.7.2.jar /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/amqp-client-1.7.2.jar.lastUpdated /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/amqp-client-1.7.2.jar.sha1 /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/amqp-client-1.7.2.pom /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/amqp-client-1.7.2.pom.lastUpdated /home/anupamg/.m2/repository/com/rabbitmq/amqp-client/1.7.2/amqp-client-1.7.2.pom.sha1 /home/anupamg/Downloads/rabbitmq-server-generic-unix-2.4.0.tar.gz


4
64ビットシステムを使用してTeamviewerをインストールしたが、依存関係エラーが表示される
Teamviewerをインストールしようとしましたが、依存関係エラーが発生していました。必要なパッケージをインストールしようとしましたが、運がありません。 私はこのエラーを受け取っています: Unpacking teamviewer (from teamviewer_linux_x64.deb) ... dpkg: dependency problems prevent configuration of teamviewer: teamviewer depends on lib32asound2; however: Package lib32asound2 is not installed. teamviewer depends on lib32z1; however: Package lib32z1 is not installed. teamviewer depends on ia32-libs; however: Package ia32-libs is not installed. dpkg: error processing teamviewer (--install): dependency ...


3
インストールされていないパッケージの詳細を取得するにはどうすればよいですか?
SynapticやAptitudeのように、インストールせずにパッケージの詳細(説明やバージョン番号など)を取得するにはどうすればよいですか。コマンド dpkg -s PACKAGE このエラーで動作しません。ただし、インストールされたパッケージに対しては機能します dpkg-query: package 'PACKAGE' is not installed and no information is available
124 apt  dpkg  package-info 


4
「ii」「rc」などのさまざまなdpkgフラグの意味は何ですか?
どのパッケージがインストールされているかを頻繁に確認する必要があり、次のコマンドを使用します。 dpkg -l | grep foo 次の出力が得られます Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Description ii foo <version> <description> どういうii意味ですか? 他にどんな旗がありますか? フラグの読み方 (説明は非常に複雑であるため、IMO) ありがとう。

5
dpkgを使用してインストール済みパッケージのバージョン番号を確認するにはどうすればよいですか?
dpkg -lコマンドを使用して、インストールしたパッケージのバージョンを確認します。例えば: dpkg -l network-manager パッケージに関する情報を返します。 Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Description +++-=========================-=========================-================================================================== ii network-manager 0.8.3~git.20101118t223039 network management framework daemon ご覧のとおり0.8.3~git.20101118t223039、バージョンが切り捨てられるため、どちらが間違っているかが返されます(この質問の目的のために長いバージョンを選択しました)。過去にこれを解決した方法は、愚かな長いCOLUMNS引数を渡してそれを展開させることです。 COLUMNS=200 dpkg -l network-manager これにより、バージョン番号全体だけでなく、大量のジャンクも取得できます。 Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Description +++-============================================-============================================-======================================================================================================== ii network-manager 0.8.3~git.20101118t223039.d60a988-0ubuntu1 network management framework daemon ...

10
URLから.debをインストールすることは可能ですか?
シェルを使用して、URLからdebパッケージを直接インストールする方法はありますか?何かのようなもの dpkg -i http://domain.com/path/to/package.deb (私はwgetを使用してからdpkgを使用できることを知っていますが、すでにそれを行うものがあるかどうか疑問に思っています)

8
dpkg:エラー:dpkg status database is locked by another process
誰かがこれが何を意味するのか教えてもらえないかと思いました。 E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. reidsr@ubuntu:~$ sudo dpkg --configure -a dpkg: error: dpkg status database is locked by another process reidsr@ubuntu:~$ sudo dpkg --configure -a 手動で実行するにはどうすればよいですか?
68 dpkg 

8
完全にインストールされていないパッケージを削除/インストールする方法は?
先日bsnesをインストールしましたが、何らかの理由でインストールが失敗しました。今、私は更新、新しいパッケージのインストール、または基本的にapt-getコマンドを実行できません。これらはすべてこの壊れたパッケージを処理しようとして失敗するからです。新しいパッケージをインストールしようとしても、同じ運命に陥ります。私が得るエラーは次のとおりです: Setting up google-chrome-stable (33.0.1750.152-1) ... /var/lib/dpkg/info/google-chrome-stable.postinst: 124: /var/lib/dpkg/info/google-chrome-stable.postinst: update-alternatives: not found dpkg: error processing google-chrome-stable (--configure): subprocess installed post-installation script returned error exit status 127 Setting up bsnes (0.088-7) ... /var/lib/dpkg/info/bsnes.postinst: 5: /var/lib/dpkg/info/bsnes.postinst: update-alternatives: not found dpkg: error processing bsnes (--configure): subprocess installed post-installation script returned error exit status ...

8
Ubuntu 16.04でのNginxインストールエラー
:〜$ sudo apt-get remove nginx * && sudo apt-get install nginx-full * パッケージリストを読み込んでいます...完了 依存ツリーの構築 状態情報を読み込んでいます...完了 この操作の後、5,579 kBの追加ディスク容量が使用されます。 続けたいですか?[Y / n] y 取得:1 http://in.archive.ubuntu.com/ubuntu xenial-updates / universe amd64 nginx-full-dbg amd64 1.10.0-0ubuntu0.16.04.1 [3,789 kB] 33秒で3,789 kBを取得(112 kB / s) 以前に選択されていないパッケージnginx-commonを選択します。 (データベースの読み取り中... 189767現在インストールされているファイルとディレクトリ。) 開梱の準備... / nginx-common_1.10.0-0ubuntu0.16.04.1_all.deb ... nginx-common(1.10.0-0ubuntu0.16.04.1)の展開... 以前に選択されていないパッケージnginx-fullを選択します。 開梱の準備... / nginx-full_1.10.0-0ubuntu0.16.04.1_amd64.deb ...


弊社のサイトを使用することにより、あなたは弊社のクッキーポリシーおよびプライバシーポリシーを読み、理解したものとみなされます。
Licensed under cc by-sa 3.0 with attribution required.